Subject: Re: bug#9663: 23.2; feature wish: put priority on vcursor overlay

From: Hendrik Tews <[email-masked]>
Date: Wed, 11 Apr 2012 13:54:40 +0200

Lars Magne Ingebrigtsen writes:
   Date: Wed, 11 Apr 2012 13:35:18 +0200
   Subject: Re: bug#9663: 23.2; feature wish: put priority on vcursor overlay
   
   Hendrik Tews <[email-masked]> writes:
   
   >    same priority. Which makes me wonder: why other overlay have
   >    you bumped into which has either higher priority than nil, or
   >    nil priority but is not larger than vcursor.
   >
   > As I wrote in the feature wish: the locked region in Proof
   > General (proof-locked-span). It has priority 100, see the call to
   > span-raise inside proof-init-segmentation in
   > generic/proof-script.el.
   
   So perhaps this is a bug in Proof General and doesn't really require an
   overlay priority in Emacs?

Could you explain why using a non-deprecated feature (priorities
of overlays) is a bug?

I really don't understand this discussion about a very simple
feature wish with a very simple patch. Overlay priorities do
exist, so vcursor better should work in the presence of overlays
with non-zero priorities, shouldn't it?

Bye,

Hendrik